### org.jfree.layouting.layouter.style

# Class LayoutStylePool

- `java.lang.Object`
- - `org.jfree.layouting.layouter.style.LayoutStylePool`

`public class LayoutStylePool`
`extends java.lang.Object`

This class does not work as expected as long as we have no clear life-cycle for the layout-style classes.

  ## Method Summary

  `static LayoutStylePool`

  `getPool()`

  `LayoutStyleImpl`

  `getStyle()`

  `void`

  `reclaim(LayoutStyle layoutStyle, Object reference)`

## Method Details

### getPool

    public static LayoutStylePool getPool()

### getStyle

    public LayoutStyleImpl getStyle()

### reclaim

    public void reclaim(LayoutStyle layoutStyle,
                        Object reference)